CUPTI (PDF) - v9.2.88 (older) - Last updated April 12, 2018 - Send Feedback

## 3.65. CUpti_EventGroupSets Struct Reference

## [CUPTI Event API]

A set of event group sets. When returned by cuptiEventGroupSetsCreate and cuptiMetricCreateEventGroupSets a CUpti_EventGroupSets indicates the number of passes required to collect all the events, and the event groups that should be collected during each pass.

### Public Variables

uint32_t numSets
CUpti_EventGroupSet * sets

### Variables

uint32_t CUpti_EventGroupSets::numSets [inherited]

  Number of event group sets.

CUpti_EventGroupSet * CUpti_EventGroupSets::sets [inherited]

  An array of `numSets` event group sets.